classification
Title: test_timeout fails on AMD64 FreeBSD CURRENT Debug 3.x: ConnectionResetError: [Errno 54] Connection reset by peer
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Change socket.close() to ignore ECONNRESET
View: 30319
Assigned To: Nosy List: vstinner
Priority: normal Keywords: buildbot

Created on 2017-06-01 21:27 by vstinner, last changed 2017-07-04 14:48 by vstinner. This issue is now closed.

Messages (2)
msg294971 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-01 21:27
http://buildbot.python.org/all/builders/AMD64%20FreeBSD%20CURRENT%20Debug%203.x/builds/350/steps/test/logs/stdio

testAcceptTimeout (test.test_timeout.TCPTimeoutTestCase) ... ok
testConnectTimeout (test.test_timeout.TCPTimeoutTestCase) ... skipped "Resource 'blackhole.snakebite.net' is not available"
testRecvTimeout (test.test_timeout.TCPTimeoutTestCase) ... ok
testSend (test.test_timeout.TCPTimeoutTestCase) ... ERROR
testSendall (test.test_timeout.TCPTimeoutTestCase) ... ok
testSendto (test.test_timeout.TCPTimeoutTestCase) ... ERROR
testRecvfromTimeout (test.test_timeout.UDPTimeoutTestCase) ... test test_timeout failed
ok

======================================================================
ERROR: testSend (test.test_timeout.TCPTimeoutTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_timeout.py", line 151, in tearDown
    self.sock.close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/socket.py", line 417, in close
    self._real_close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/socket.py", line 411, in _real_close
    _ss.close(self)
ConnectionResetError: [Errno 54] Connection reset by peer

======================================================================
ERROR: testSendto (test.test_timeout.TCPTimeoutTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/test/test_timeout.py", line 151, in tearDown
    self.sock.close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/socket.py", line 417, in close
    self._real_close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd-current/build/Lib/socket.py", line 411, in _real_close
    _ss.close(self)
ConnectionResetError: [Errno 54] Connection reset by peer

----------------------------------------------------------------------
Ran 14 tests in 10.084s

FAILED (errors=2, skipped=1)
1 test failed again:
    test_timeout

Total duration: 17 min 14 sec
Tests result: FAILURE
msg296739 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-23 21:52
http://buildbot.python.org/all/builders/AMD64%20FreeBSD%20CURRENT%20Debug%203.6/builds/266/steps/test/logs/stdio

======================================================================
ERROR: testSend (test.test_timeout.TCPTimeoutTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.6.koobs-freebsd-current/build/Lib/test/test_timeout.py", line 151, in tearDown
    self.sock.close()
  File "/usr/home/buildbot/python/3.6.koobs-freebsd-current/build/Lib/socket.py", line 417, in close
    self._real_close()
  File "/usr/home/buildbot/python/3.6.koobs-freebsd-current/build/Lib/socket.py", line 411, in _real_close
    _ss.close(self)
ConnectionResetError: [Errno 54] Connection reset by peer
History
Date User Action Args
2017-07-04 14:54:42vstinnerunlinkissue30319 dependencies
2017-07-04 14:48:56vstinnersetstatus: open -> closed
superseder: Change socket.close() to ignore ECONNRESET
resolution: duplicate
stage: resolved
2017-06-23 21:52:39vstinnersetmessages: + msg296739
2017-06-03 22:26:56martin.panterlinkissue30319 dependencies
2017-06-01 21:27:11vstinnersetkeywords: + buildbot
2017-06-01 21:27:02vstinnercreate